/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2020 SEGGER Microcontroller GmbH                  *
*                                                                    *
*       Internet: segger.com  Support: support_embos@segger.com      *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: V5.10.0.0                                        *
*                                                                    *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------
File    : RTOSVect.S
Purpose : Vector table for the OS and ARMv8 cores
*/

/*********************************************************************
*
*     Publics
*
**********************************************************************
*/
        .global embOS_VectorTable

/*********************************************************************
*
*       Vector table
*
**********************************************************************
*/

.section .vectors, "a"

.balign 2048
embOS_VectorTable:
  b .                  // Exception handler for a synchronous exception from the current EL using SP0
.balign 128
  b .                  // Exception handler for an IRQ exception from the current EL using SP0
.balign 128
  b .                  // Exception handler for an FIQ exception from the current EL using SP0
.balign 128
  b .                  // Exception handler for a System Error exception from the current EL using SP0
.balign 128
  b embOS_SyncHandler  // Exception handler for a synchronous exception from the current EL using the current SP
.balign 128
  b embOS_IRQHandler   // Exception handler for an IRQ exception from the current EL using the current SP
.balign 128
  b .                  // Exception handler for an FIQ exception from the current EL using the current SP
.balign 128
  b .                  // Exception handler for a System Error exception from the current EL using the current SP
.balign 128
  b .                  // Exception handler for a synchronous exception from a lower EL (AArch64)
.balign 128
  b .                  // Exception handler for an IRQ exception from a lower EL (AArch64)
.balign 128
  b .                  // Exception handler for an FIQ exception from a lower EL (AArch64)
.balign 128
  b .                  // Exception handler for a System Error exception from a lower EL (AArch64)
.balign 128
  b .                  // Exception handler for a synchronous exception from a lower EL (AArch32)
.balign 128
  b .                  // Exception handler for an IRQ exception from a lower EL (AArch32)
.balign 128
  b .                  // Exception handler for an FIQ exception from a lower EL (AArch32)
.balign 128
  b .                  // Exception handler for a System Error exception from a lower EL (AArch32)

        .end

/*************************** End of file ****************************/
